@import 'custom';
$lg-path-fonts: 'npm:lightgallery/fonts';
$lg-path-images: 'npm:lightgallery/images';
@import 'npm:lightgallery/scss/lightgallery';

/** Main container **/

body {
	background-image:url(../images/background.svg);
	/* background by SVGBackgrounds.com */
}

@media (min-width: map-get($container-max-widths, "md")) {
	.main {
		margin-top: 2em;
	}
}

.main {
	margin-right: auto;
	margin-left: auto;
	padding: 1em;
	background-color: #fff;
}

/** Header **/

.site-header a {
	display: flex;
	background-color: $primary;
	background-image:url(../images/background-header.svg);
	/* background by SVGBackgrounds.com */
	background-position: center bottom;
	background-size: cover;
	margin-bottom: 1em;
	padding: 1em;
	flex-direction: column;
	align-items: flex-end;
	justify-content: flex-end;
	text-decoration: none;
}

@media (min-width: map-get($container-max-widths, "sm")) {
	.site-header a {
		aspect-ratio: 100/22;
	}
}

.site-title {
	color: white;
	text-shadow: 1px 1px 3px black;
	text-align: right;
	margin: 0;
	font-size: 3em; // fallback
	font-size: #{"min(max(6vw,2em),#{0.06*map-get($container-max-widths, "xxl")})"};
	font-weight: normal;

	object-fit: contain;
	width: auto;
}

.site-description {
	margin: 0;
	font-family: Lato, var(--#{$variable-prefix}body-font-family);
	font-size: 1em; // fallback
	font-size: #{"min(max(2vw,1em),#{0.02*map-get($container-max-widths, "xxl")})"};
	font-weight: bold;
	color: #000;
}

/** Navigation **/

.top-navigation {
	margin-bottom: 1em;
}

.language-chooser {
	margin-left: auto;
}

.language-chooser ~ .language-chooser {
	margin-left: initial;
}

.language-chooser a {
	text-decoration: none;
}

/** Sidebar **/

.logos {
	text-align: center;
	display: flex;
	justify-content: space-around;
	align-items: center;
}

/*
 * Blog posts
 */

.news {
	@extend .g-0;
}

.news h3 {
	font-size: 1rem;
	font-weight: bold;
}

.card-sm {
	@extend .g-0;
	width: 300px;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
}

.figuregroup {
	@extend .row;
	@extend .g-1;
}

figure iframe {
	margin: auto;
	display: block;
}

/** Nested dropdown menu */

.dropdown-menu li {
	position: relative;
}

.dropdown-menu .dropdown-menu {
	display: none;
	position: absolute;
	left: 100%;
	top: -7px;
}

li:hover > .dropdown-menu {
	display: block;
}
